{% extends "base.html.twig" %}

{% block body %}
<div class="container">
    <div class="row justify-content-center mt-3">
        <div class="col-12">
            <div class="jumbotron">
                <a href="{{ path('modify_profil', {'id':user.id}) }}" class="d-flex justify-content-end"><i
                        class="fas fa-user-edit fa-2x"></i></a>
                <h1 class="m-3 text-center">{{user.name}} {{user.surname}}</h1>
                <hr class="my-4">
                <ul class="p-0 text-center" style="list-style:none;">
                    <li>
                        <i class="fas fa-address-card"></i> {{user.address}}
                    </li>
                    <li class="mt-1">
                        <i class="fas fa-phone"></i> {{user.phoneNumber}}
                    </li>
                    <li class="mt-5">
                        <a href="{{ path('modify_password', {'id':user.id}) }}" class="btn btn-primary"
                            style="color:white;text-decoration:none;outline:none;">Modifier le mot de
                            passe</a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="col-12 col-md-5">
            {% if user.wishArticles|length > 0 %}
                <h3 class="mb-5">WishList</h3>
                <div class="row">
                    {% for article in user.wishArticles %}
                    <div class="col-6">
                        <ul style="list-style: none;">
                            <li class="font-weight-bold"><a href="{{ path('article', {'article':article.article.id}) }}">{{article.name}}</a></li>
                            <li>{{article.price}} €</li>
                            <li>{{article.description[:80]}}...</li>
                        </ul>
                        <a href="{{ path('wish_to_cart', {'article' : article.id}) }}" class="btn btn-success">Add to cart !</a>
                        <a href="{{ path('remove_article', {'article' : article.id}) }}" class="btn btn-primary">Delete</a>
                        <hr>
                    </div>
                    {% endfor %}
                </div>
            {% endif %}
        </div>
        <div class="col-12 col-md-5">
            {% if user.ValidatedCarts|length > 0 %}
                <h3>Récapitulatif des commandes</h3>
                <p>Ci dessous, vous trouverez le récapitulatif de toutes les commandes passées.</p>
                <div class="row">
                    <div class="col-12">
                            {% for row in user.ValidatedCarts %}
                            <hr>
                                <div class="card mx-3">
                                    <div class="card-header">
                                        <h5 class="text-primary">Commande passée le {{row.date|date('d')}} {{row.date|date('M')}} à {{row.date|date('H')}}h{{row.date|date('i')}}</h5>
                                    </div>
                                    <div class="card-body">
                                        <ul class="m-0">
                                        {% set total = 0 %}
                                            {% for line in row.cartArticles %}
                                                <li class="font-weight-bold">{{line.name}}</li>
                                                <li>Prix :{{line.price}}€ - Quantité : {{line.quantity}}</li>
                                                {% set total = total + line.price %}
                                            {% endfor %}
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                        <p>Total : {{total}}€</p>
                                    </div>           
                                </div>
                                        {# {{user.ValidatedCarts.cartArticles.name}} #}
                            {% endfor %}
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
    </div>
{% endblock body %}